/**
 * Created by issuser on 2016/4/15.
 * Revised by lixi on 2018/12/10.
 */
var App = {
    init: function (data) {
        var html = "";
        if (data instanceof Array && data instanceof Object) {
            for (var i = 0; i < data.length; i++) {
                html += new EJS({ url: urlConfig[data[i].RECEIPT_MOULD] }).render(data[i]);
            }
        } else {
            if (data.isValidFlag !== null && data.isValidFlag === "0") {
                html = new EJS({ url: './views/alert.ejs' }).render();
            } else {
                html = new EJS({ url: urlConfig[data.RECEIPT_MOULD] }).render(data);
            }
        }
        document.getElementById("container").innerHTML = html;
    }
}
/*路由配置*/
var urlConfig = {
    "001": "./views/001.ejs",
    "002": "./views/002.ejs",
    "003": "./views/003.ejs",
    "004": "./views/004.ejs",
    "005": "./views/005.ejs",
    "006": "./views/006.ejs",
    "007": "./views/007.ejs",
    "008": "./views/008.ejs",
    "009": "./views/009.ejs",
    "012": "./views/012.ejs",
    "101": "./views/101.ejs",
    "102": "./views/102.ejs",
    "103": "./views/103.ejs",
    "104": "./views/104.ejs",
    "107": "./views/107.ejs",
    "108": "./views/108.ejs",
    "201": "./views/201.ejs",
    "202": "./views/202.ejs",
    "203": "./views/203.ejs",
    "207": "./views/207.ejs",
    "208": "./views/208.ejs",
    "301": "./views/301.ejs",
    "302": "./views/302.ejs",
    "303": "./views/303.ejs",
    "401": "./views/401.ejs",
    "402": "./views/402.ejs",
    "403": "./views/403.ejs",
    "501": "./views/501.ejs",
    "502": "./views/502.ejs",
    "503": "./views/503.ejs",
    "601": "./views/601.ejs",
    "602": "./views/602.ejs",
    "603": "./views/603.ejs",    //P803回单新增  tangm   2018/01/18
    "701": "./views/701.ejs",
    "702": "./views/702.ejs",
    "801": "./views/801.ejs",
    "802": "./views/802.ejs",
    "901": "./views/901.ejs",
    "0AA": "./views/0AA.ejs",
    "0AB": "./views/0AB.ejs",
    "0AC": "./views/0AC.ejs",
    "0AD": "./views/0AD.ejs",
    "0AE": "./views/0AE.ejs",
    "0AF": "./views/0AF.ejs",
    "0AG": "./views/0AG.ejs",
    "0AH": "./views/0AH.ejs",
    "0AI": "./views/0AI.ejs",
    "0AJ": "./views/0AJ.ejs",
    // wulongkuan 2019-12-26 p2001批次添加
    "A01":"./views/A01.ejs",
    "A02":"./views/A02.ejs",
    //x010添加
    "010": "./views/010.ejs",
    
}